Subject: bug#4856: 23.1.50; menu-updating-frame stays set to dead frame

From: Chong Yidong <[email-masked]>
Date: Sat, 07 Nov 2009 13:24:54 -0500

> 1) created second frame
> 2) killed second frame after some random editing
> 3) in first frame, on attempt to kill buffer saw:
>
> menu-bar-non-minibuffer-window-p: Wrong type argument: frame-live-p, #<dead
> frame [Gnu/Linux:robcvm] /home/rgiardina/emacs/rg-mac.el 0xaedc088>

What is this rg-mac.el file supposed to be doing?  It's a little hard to
debug your custom code if we don't know how it's triggered.  Please
provide a self-contained recipe for reproducing this bug.  Thanks.